Package org.apache.groovy.json.internal

## Class Exceptions

- java.lang.Object
- - org.apache.groovy.json.internal.Exceptions

-     public class Exceptions
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Exceptions.JsonInternalException` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Exceptions()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `die()` |
    `static <T> T` | `die​(java.lang.Class<T> clazz, java.lang.String message)` |
    `static boolean` | `die​(java.lang.String message)` |
    `static <T> T` | `handle​(java.lang.Class<T> clazz, java.lang.Exception e)` |
    `static <T> T` | `handle​(java.lang.Class<T> clazz, java.lang.String message, java.lang.Throwable e)` |
    `static void` | `handle​(java.lang.Exception e)` |
    `static void` | `handle​(java.lang.String message, java.lang.Throwable e)` |
    `static java.lang.String` | `sputs​(java.lang.Object... messages)` |
    `static java.lang.String` | `sputs​(CharBuf buf, java.lang.Object... messages)` |
    `static java.lang.String` | `toString​(java.lang.Exception ex)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exceptions

          public Exceptions()

  - ### Method Detail

    - #### die

          public static boolean die()

    - #### die

          public static boolean die​(java.lang.String message)

    - #### die

          public static <T> T die​(java.lang.Class<T> clazz,
                                  java.lang.String message)

    - #### handle

          public static void handle​(java.lang.Exception e)

    - #### handle

          public static <T> T handle​(java.lang.Class<T> clazz,
                                     java.lang.Exception e)

    - #### handle

          public static <T> T handle​(java.lang.Class<T> clazz,
                                     java.lang.String message,
                                     java.lang.Throwable e)

    - #### handle

          public static void handle​(java.lang.String message,
                                    java.lang.Throwable e)

    - #### toString

          public static java.lang.String toString​(java.lang.Exception ex)

    - #### sputs

          public static java.lang.String sputs​(CharBuf buf,
                                               java.lang.Object... messages)

    - #### sputs

          public static java.lang.String sputs​(java.lang.Object... messages)